.spinner-container {
    z-index: 100;
    top: 0;
    width: 100%;
    height: 100%;
    border: black 1px solid;
    left: 0;
    position: fixed;
}
 
 
.spinner-group {
    height: 185px;
    width: 185px;
    position: absolute;
    top: 50%;
    left: 50%;
    text-align: center;
    transform: translate(-50%, -50%);
    background-color: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 30px;
}
 
 
.spinner {
    background: none;
    box-sizing: content-box !important;
    margin: 1px 1.5px 0 0;
    border: solid 12px #dee0e2;
    border-top-color: #003c71;
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 2s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}
 
@keyframes spin {
  0% { transform: rotate(0deg); }
  25% { transform: rotate(90deg); }
  50% { transform: rotate(180deg); }
  100% { transform: rotate(360deg); }
}
 
.spinner-text {
    width: 123px;
    height: 30px;
    flex-grow: 0;
    font-family: Verdana;
    font-size: 19px;
    font-weight: bold;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.58;
    letter-spacing: normal;
    text-align: center;
    color: #000;
    margin-top: 10px;
}

.spinner-main {
    min-height: 500px;
    min-width: 100%;
}
 
.spinner-bg {
    background-color: black;
    min-height: 100vh;
    min-width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    opacity: 0.5;
    box-sizing: content-box !important;
}
 
.spinner-content {
    box-sizing: content-box !important;
    z-index: 100;
}